Bug 8336 - SIP Server does not process renewal transaction correctly
Summary: SIP Server does not process renewal transaction correctly
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: SIP2 (show other bugs)
Version: 3.8
Hardware: All All
: P1 - high major (vote)
Target Milestone: ---
Assignee: Colin Campbell
QA Contact: Mason James
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-29 17:36 UTC by Colin Campbell
Modified: 2013-12-05 19:57 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Proposed Patch (3.63 KB, patch)
2012-06-29 18:08 UTC, Colin Campbell
Details | Diff | Splinter Review
Revised Patch (7.35 KB, patch)
2012-09-07 11:45 UTC, Colin Campbell
Details | Diff | Splinter Review
Bug 8336 Support Sip Renewal Transaction (7.40 KB, patch)
2012-09-16 10:17 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Colin Campbell 2012-06-29 17:36:41 UTC
Sip renewal transactions are rejected by bogus error messages. If we suppress that it is not setting some data correctly e.g. the new duedate. Most people will not notice this as selfcheck units use the checkout transaction to do renewal, however if you want to use Itiva/Talking Tech telephone renewals you need to support this transaction.
Comment 1 Colin Campbell 2012-06-29 18:08:50 UTC Comment hidden (obsolete)
Comment 2 Colin Campbell 2012-07-09 10:29:54 UTC
Tested by Staffordshire University with help from Talking Tech
Comment 3 Colin Campbell 2012-09-07 11:45:36 UTC Comment hidden (obsolete)
Comment 4 Colin Campbell 2012-09-07 11:50:57 UTC
Changed status to bug as without this patch the SIPServer crashes when faced with a RenewAll transaction. Also the current sip server reports to the client that it supports Renew and Renewall transactions but it does not and in ways that cause the client and/or server to fail.

Tested by Staffordshire University with Talking Tech telephone renewals
Comment 5 Chris Cormack 2012-09-16 10:17:12 UTC
Created attachment 12260 [details] [review]
Bug 8336 Support Sip Renewal Transaction

Renewals were being rejected for incorrect reasons
Checking was being done against the wrong object
Add more informative messages on failure
Correctly set due_date for renewal response
Avoid crashing the SIPServer because it handles RenewAll
incorrectly

Signed-off-by: Chris Cormack <chris@bigballofwax.co.nz>
Comment 6 Mason James 2012-09-16 13:57:29 UTC
> Signed-off-by: Chris Cormack <chris@bigballofwax.co.nz>

$ koha-qa.pl  

patch looks good, passing QA…

testing 1 commit(s) (applied to commit 2a60d49)
 * 551c673 Bug 8336 Support Sip Renewal Transaction
      C4/SIP/ILS.pm
      C4/SIP/ILS/Transaction/Renew.pm
      C4/SIP/ILS/Transaction/RenewAll.pm
      C4/SIP/Sip/MsgType.pm

* C4/SIP/ILS.pm                                                            OK
* C4/SIP/ILS/Transaction/Renew.pm                                          OK
* C4/SIP/ILS/Transaction/RenewAll.pm                                       OK
* C4/SIP/Sip/MsgType.pm                                                    OK
Comment 7 Paul Poulain 2012-09-18 09:26:34 UTC
Patch pushed to master

(patch untested by me though)
Comment 8 Chris Cormack 2012-09-19 02:55:58 UTC
Pushed to 3.8.x, will be in 3.8.5